import { Component, OnInit, Input } from '@angular/core';
import { TrainingWorkoutSection } from 'src/app/models/training-workout.model';
import { UtilsService } from 'src/app/services/utils.service';

@Component({
  selector: 'app-training-workout-section',
  templateUrl: './training-workout-section.component.html',
  styleUrls: ['./training-workout-section.component.css']
})
export class TrainingWorkoutSectionComponent implements OnInit {

  @Input() section:TrainingWorkoutSection;

  constructor(private utils: UtilsService) { }

  ngOnInit(): void {
  }

  getColor() {
    return this.utils.getCategoryColor(this.section.type);
  }
}
